Package opennlp.tools.cmdline.postag

# Class POSEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.postag.POSSample>
opennlp.tools.cmdline.postag.POSEvaluationErrorListener

All Implemented Interfaces:
  `opennlp.tools.postag.POSTaggerEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.postag.POSSample>`

public class POSEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.postag.POSSample> implements opennlp.tools.postag.POSTaggerEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POSEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `POSEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(opennlp.tools.postag.POSSample reference, opennlp.tools.postag.POSSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### POSEvaluationErrorListener

    public POSEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### POSEvaluationErrorListener

    public POSEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`.

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.postag.POSSample reference, opennlp.tools.postag.POSSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.postag.POSSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.postag.POSSample>`